API referenceEmails

Download the raw message of a received email

GET/emails/receiving/{id}/raw

The raw MIME, with the same authentication as the read that returned the link. On Cloudflare it is read from your R2 bucket with the runtime token and answered as a download; on Amazon SES it redirects to a presigned S3 URL. expires (from the download_url) is checked when present.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

expires?integer
Range0 < value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/emails/receiving/string/raw"
{  "statusCode": 400,  "name": "validation_error",  "message": "string",  "planned_records": [    {      "record": "SPF",      "name": "string",      "type": "TXT",      "value": "string",      "priority": -9007199254740991    }  ]}